import type { WithNormalizedProps } from "../../global";
import type { Input as NoticeBaseInput } from "../components/ebay-notice-base/component";
interface PageNoticeInput extends Omit<NoticeBaseInput, "role" | "prefixClass" | `on${string}`> {
    dismissed?: boolean;
    "on-dismiss"?: () => void;
    "on-cta-click"?: () => void;
}
export interface Input extends WithNormalizedProps<PageNoticeInput> {
}
interface State {
    dismissed: boolean;
}
declare class PageNotice extends Marko.Component<Input, State> {
    onCreate(): void;
    onInput(input: Input): void;
    onDismiss(): void;
}
export default PageNotice;
